XmStringCompare(3Xm)

NAME
XmStringCompare — a compound string function that compares two strings.

SYNOPSIS
#include <Xm/Xm.h>

Boolean XmStringCompare (s1, s2)
    XmString    s1;
    XmString    s2;

DESCRIPTION
XmStringCompare returns a Boolean indicating the results of a semantically equivalent comparison of two compound strings.

Symantically equivalent means that the strings have the same text components, directions, and separators. If character sets are specified, they must be equal as well. If either one has a character set of XmSTRING_DEFAULT_CHARSET, it will match the other character set.

s1  Specifies a compound string to be compared with s2.

s2  Specifies a compound string to be compared with s1.

RETURN VALUE
Returns True if two compound strings are equivalent.

RELATED INFORMATION
XmStringCreate(3Xm).